Crea secret
curl --request POST \
--url https://api.devin.ai/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": true,
"note": "<string>"
}
'import requests
url = "https://api.devin.ai/v1/secrets"
payload = {
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": True,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
key: '<string>',
value: '<string>',
sensitive: true,
note: '<string>'
})
};
fetch('https://api.devin.ai/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Endpoint dei segreti
Crea secret
Crea un nuovo secret nella tua organizzazione
POST
/
v1
/
secrets
Crea secret
Crea un nuovo secret crittografato che può essere utilizzato nelle sessioni di Devin. Il secret sarà disponibile in tutte le sessioni create dopo la sua aggiunta.
Corpo della richiesta
Tipo di secret. Deve essere uno dei seguenti:
cookie, key-value, totpNome del secret definito dall’utente. Deve essere univoco all’interno dell’organizzazione.
Valore del secret da memorizzare. Sarà crittografato a riposo.
Indica se il secret deve essere considerato sensibile e oscurato nei log.
Nota facoltativa che descrive lo scopo del secret.
Risposta
L’identificatore univoco del segreto creato
⌘I

